Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKMarker Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKMarker ()

## Public Attributes
bool | m_filled
double | m_scale
int | m_pathJoin
boost::optional< std::string > | m_path
boost::optional< IWORKPosition > | m_endPoint

## Constructor & Destructor Documentation

## ◆ IWORKMarker()

libetonyek::IWORKMarker::IWORKMarker | ( |  | ) |

## Member Data Documentation

## ◆ m_endPoint

boost::optional<IWORKPosition> libetonyek::IWORKMarker::m_endPoint

Referenced by libetonyek::IWAParser::parseArrowProperties().

## ◆ m_filled

bool libetonyek::IWORKMarker::m_filled

## ◆ m_path

boost::optional<std::string> libetonyek::IWORKMarker::m_path

Referenced by libetonyek::IWORKCollector::fillGraphicProps(), and libetonyek::IWAParser::parseArrowProperties().

## ◆ m_pathJoin

int libetonyek::IWORKMarker::m_pathJoin

## ◆ m_scale

double libetonyek::IWORKMarker::m_scale

Referenced by libetonyek::IWORKCollector::fillGraphicProps().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp